Subject: Re: [apps-discuss] Upload of CDDL draft v03: draft-greevenbosch-appsawg-cbor-cddl-03

From: Sean Leonard <[email-masked]>
Date: Sun, 19 Oct 2014 09:04:52 -0700

Hi Bert and Christoph (et. al.),

Nit:
In the International map (Section 6.2, Pages 17-19), "CN" is incorrect.

CN is the geographic code for China.

zh is the language code (subtag) for Chinese. It is a macrolanguage tag.

There are actually two different writings for Apple:
苹果
蘋果

The former (which is the encoded item in Section 6.2) is simplified 
Chinese, "zh-Hans". The latter is traditional Chinese, "zh-Hant".

The Wikipedia article on Chinese Wikipedia 
<http://en.wikipedia.org/wiki/Chinese_Wikipedia#Automatic_conversion_between_traditional_and_simplified_Chinese_characters> 
illustrates some of the practical problems with unifying Chinese under 
certain language tags.

It probably was not your intent to wade into linguistic 
techno-geo-political issues...perhaps for the draft, it would be best to 
pick another language, like Korean.

Cheers,

Sean

On 9/15/2014 11:26 PM, Bert Greevenbosch wrote:
>
> Hello all,
>
> We have updated the CBOR Data Description Language (CDDL) draft. It is 
> available under the following link:
>
> https://datatracker.ietf.org/doc/draft-greevenbosch-appsawg-cbor-cddl
>
> The changes since v02 are as follows:
>
> ·Added information about characters used in names
>
> ·Added text about an overall data structure and the order of the 
> definitions of the fields
>
> ·Added text about encoding of keys
>
> ·Added table with keywords
>
> ·Added strings and integer writing conventions
>
> ·Added an ABNF description of CDDL
>
> Christoph Vigano is now co-author. He made several 
> changes/simplifications based on his implementation experience.
>
> We look forward to your questions and remarks!
>
> Best regards,
>
> Bert
>
>
>
> _______________________________________________
> apps-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/apps-discuss

---

From: Bert Greevenbosch <[email-masked]>
Date: Thu, 30 Oct 2014 01:14:03 +0000

Hi Sean,

Thanks for reviewing the draft and sending your feedback.

Indeed there is a difference between usage of traditional or simplified characters between different regions. I personally use the simplified form, so that's why I chose that representation.

I don't know if it is a big issue for the draft - it is just an example encoding and the example format doesn't claim compliance to any standards except for CBOR - but of course we can change the language code to "ZH-HANS", in accordance with RFC 5646.

Best regards,
Bert

From: Sean Leonard [mailto:[email-masked]]
Sent: 20 October 2014 00:05
To: [email-masked]
Cc: [email-masked]
Subject: Re: [apps-discuss] Upload of CDDL draft v03: draft-greevenbosch-appsawg-cbor-cddl-03

Nit:

The former (which is the encoded item in Section 6.2) is simplified Chinese, "zh-Hans". The latter is traditional Chinese, "zh-Hant".

The Wikipedia article on Chinese Wikipedia<http://en.wikipedia.org/wiki/Chinese_Wikipedia#Automatic_conversion_between_traditional_and_simplified_Chinese_characters> illustrates some of the practical problems with unifying Chinese under certain language tags.

It probably was not your intent to wade into linguistic techno-geo-political issues...perhaps for the draft, it would be best to pick another language, like Korean.

Cheers,

Sean

We have updated the CBOR Data Description  Language (CDDL) draft. It is available under the following link:

·         Added information about characters used in names

·         Added text about an overall data structure and the order of the definitions of the fields

·         Added text about encoding of keys

·         Added table with keywords

·         Added strings and integer writing conventions

·         Added an ABNF description of CDDL

Christoph Vigano is now co-author. He made several changes/simplifications based on his implementation experience.

Best regards,
Bert

[email-masked]<mailto:[email-masked]>